## autorecon 0.0~git20250527.fd87c99

=== requirements.txt ===
colorama>=0.4.5
impacket>=0.10.0
platformdirs>=4.3.6
psutil>=5.9.4
requests>=2.28.1
toml>=0.10.2
Unidecode>=1.3.1

=== debian/changelog ===
autorecon (0.0~git20250527.fd87c99-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20250527.fd87c99

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 25 Aug 2025 10:08:41 +0200

autorecon (0.0~git20250405.ee0d0a3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20250405.ee0d0a3
  * Refresh patches
  * Set min version for python3-platformdirs
  * Bump Standards-Version
  * Update uploaders

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 09 Apr 2025 14:05:04 +0200

autorecon (0.0~git20240610.19cc46b-0kali3) kali-dev; urgency=medium

  * Refresh patches
  * Remove obsolete plugin wkhtmltoimage
  * Bump Standards-Version to 4.7.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 05 Feb 2025 17:47:28 +0100

autorecon (0.0~git20240610.19cc46b-0kali2) kali-dev; urgency=medium

  * Replace deprecated module appdirs with platformdirs

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Jan 2025 09:34:34 +0100

autorecon (0.0~git20240610.19cc46b-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20240610.19cc46b

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 25 Jun 2024 11:05:12 +0200

autorecon (0.0~git20240123.5dd2fd4-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 17 Apr 2024 14:38:35 +0200

=== debian/control ===
Source: autorecon
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Arslan Masood <contact@arszilla.com>,
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all (>= 3.8),
 python3-platformdirs (>= 4.3.6),
 python3-colorama (>= 0.4.5),
 python3-impacket (>= 0.10.0),
 python3-poetry-core,
 python3-psutil (>= 5.9.4),
 python3-requests (>= 2.28.1),
 python3-toml (>= 0.10.2),
 python3-unidecode (>= 1.3.1),
Standards-Version: 4.7.2
Homepage: https://github.com/Tib3rius/AutoRecon
Vcs-Browser: https://gitlab.com/kalilinux/packages/autorecon
Vcs-Git: https://gitlab.com/kalilinux/packages/autorecon.git

Package: autorecon
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 curl,
 dirb,
 dirsearch,
 dnsrecon,
 enum4linux-ng,
 enum4linux,
 ffuf,
 gobuster,
 impacket-scripts,
 nbtscan,
 nikto,
 nmap,
 onesixtyone,
 oscanner,
 redis-tools,
 seclists,
 sipvicious,
 smbclient,
 smbmap,
 snmp,
 sslscan,
 tnscmd10g,
 whatweb,
Recommends:
 feroxbuster [amd64 arm64],
Description: Multi-threaded network reconnaissance tool
 AutoRecon is a multi-threaded network reconnaissance tool which performs 
 automated enumeration of services. It is intended as a time-saving tool 
 for use in CTFs and other penetration testing environments (e.g. OSCP). 
 It may also be useful in real-world engagements.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = autorecon

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: autorecon -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/Tib3rius/AutoRecon HEAD

## autorecon 0.0~git20251116.e7e98f6

=== debian/changelog ===
autorecon (0.0~git20251116.e7e98f6-0parrot1) echo; urgency=medium

  * Import package from Kali.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 23 Nov 2025 20:23:45 +0100

autorecon (0.0~git20251116.e7e98f6-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * New upstream version 0.0~git20251116.e7e98f6

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 17 Nov 2025 08:32:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,8 @@
 Source: autorecon
 Section: python
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders:
- Arslan Masood <contact@arszilla.com>,
- Daniel Ruiz de Alegría <daniruiz@kali.org>,
-Rules-Requires-Root: no
+Maintainer: Parrot Dev Team <team@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -21,8 +18,6 @@
  python3-unidecode (>= 1.3.1),
 Standards-Version: 4.7.2
 Homepage: https://github.com/Tib3rius/AutoRecon
-Vcs-Browser: https://gitlab.com/kalilinux/packages/autorecon
-Vcs-Git: https://gitlab.com/kalilinux/packages/autorecon.git
 
 Package: autorecon
 Architecture: any
